summaryrefslogtreecommitdiffstats
path: root/audio/last.fm/last.fm.SlackBuild
diff options
context:
space:
mode:
author Michael Johnson2010-05-12 17:37:07 +0200
committer Robby Workman2010-05-12 17:37:07 +0200
commit1ee225c0713ed0cb3824cd2dbb1e86044a1a68ae (patch)
treed6aac3b4830b212faf35f381248d568d17bc6f92 /audio/last.fm/last.fm.SlackBuild
parent85fa8fc31c3d26ce070497645e10897d71b1b375 (diff)
downloadslackbuilds-1ee225c0713ed0cb3824cd2dbb1e86044a1a68ae.tar.gz
audio/last.fm: Updated for version 1.5.1.31879
Diffstat (limited to 'audio/last.fm/last.fm.SlackBuild')
-rw-r--r--audio/last.fm/last.fm.SlackBuild42
1 files changed, 30 insertions, 12 deletions
diff --git a/audio/last.fm/last.fm.SlackBuild b/audio/last.fm/last.fm.SlackBuild
index c30441ed31..3328db50cb 100644
--- a/audio/last.fm/last.fm.SlackBuild
+++ b/audio/last.fm/last.fm.SlackBuild
@@ -2,16 +2,15 @@
# Slackware build script for last.fm
# Written by <youngmug@animeneko.net>
+# Updated by Larry Hajali <larryhaja[at]gmail[dot]com>
# Modified by the SlackBuilds.org project
-# Exit on most errors
-set -e
-
PRGNAM=last.fm
-VERSION=1.3.2.13
+VERSION=1.5.1.31879
ARCH=${ARCH:-i486}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
@@ -21,30 +20,49 @@ if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
fi
+set -e # Exit on most errors
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
-tar xvf $CWD/$PRGNAM-$VERSION.src.tar.bz2
+tar xvf $CWD/$PRGNAM-$VERSION.tar.?z*
cd $PRGNAM-$VERSION
chown -R root:root .
chmod -R u+w,go+r-w,a-s .
+# Patches needed for compiling.
+patch -p1 < $CWD/patches/no-fingerprint-lib.diff
+patch -p1 < $CWD/patches/reduce-linkage.diff
+patch -p1 < $CWD/patches/volumeslider_h-qt45.patch
+
+lrelease-qt4 i18n/*.ts
+
qmake-qt4 -config release
+
make
#Last.fm doesn't have a nice installer, so we need to package it manually.
-mkdir -p $PKG/usr/lib/$PRGNAM $PKG/usr/bin $PKG/usr/share/applications
+mkdir -p $PKG/usr/lib/$PRGNAM/i18n $PKG/usr/bin $PKG/usr/man/man1 \
+ $PKG/usr/share/applications $PKG/usr/share/pixmaps
cp -R bin/* $PKG/usr/lib/$PRGNAM
-cat $CWD/last.fm.script > $PKG/usr/bin/last.fm
-cat $CWD/last.fm.desktop > $PKG/usr/share/applications/last.fm.desktop
-chmod +x $PKG/usr/bin/last.fm
+cat $CWD/$PRGNAM.script > $PKG/usr/bin/$PRGNAM
+chmod +x $PKG/usr/bin/$PRGNAM
+install -m 644 i18n/*.qm $PKG/usr/lib/$PRGNAM/i18n
+gzip -9c $CWD/$PRGNAM.1 > $PKG/usr/man/man1/$PRGNAM.1.gz
+
+cat $CWD/$PRGNAM.desktop > $PKG/usr/share/applications/$PRGNAM.desktop
+( cd $PKG/usr/share/pixmaps ; ln -s ../../lib/last.fm/data/app_55.png lastfm.png )
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
)
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION